Bug 837805 - `gluster volume list' prints err/warn to stdout
`gluster volume list' prints err/warn to stdout
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krutika Dhananjay
: Triaged
Depends On:
Blocks: 849292
  Show dependency treegraph
 
Reported: 2012-07-05 06:55 EDT by Sachidananda Urs
Modified: 2013-07-24 13:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849292 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:50:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2012-07-05 06:55:49 EDT
If no volumes are present, gluster volume list prints to stdout.
It is expected to print to stderr.
Comment 1 Amar Tumballi 2012-08-22 05:54:17 EDT
fixed already in upstream with http://review.gluster.com/3753
Comment 2 Sachidananda Urs 2012-12-19 01:54:24 EST
`No volumes present' is now redirected to stderr.

Note You need to log in before you can comment on or make changes to this bug.